Bug 736353 - [webadmin] support sections within dialogs
Summary: [webadmin] support sections within dialogs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: m2
: 3.1
Assignee: Vojtech Szocs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 736351 736352
TreeView+ depends on / blocked
 
Reported: 2011-09-07 13:24 UTC by Einav Cohen
Modified: 2012-08-09 08:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-09 08:04:23 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Einav Cohen 2011-09-07 13:24:49 UTC
A sections widget is needed for several dialogs in the application:
New/Edit Host/Cluster/Vm/Template/VmPool

[sections are the tabs within the vertical tab-panel that appears on the left-hand side of the New/Edit Host/Cluster/Vm/Template/VmPool dialogs]

Comment 1 Vojtech Szocs 2011-09-09 18:44:47 UTC
New dialog tab panel widget should be usable directly within UiBinder templates for concrete dialogs. This allows us to use UiBinder declarative approach throughout all dialog views, independent of the fact whether the dialog has a tab panel or not.

Comment 2 Vojtech Szocs 2011-09-15 14:40:34 UTC
Changes pushed, git commit hash 7988c75f2593c4cee28f6fa9c0a9d403a117c27e

Comment 3 Itamar Heim 2012-08-09 08:04:23 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/


Note You need to log in before you can comment on or make changes to this bug.